org.eclipse.emf.spi.cdo

## Class InternalCDOTransaction.ApplyChangeSetResult

- java.lang.Object
- - org.eclipse.emf.spi.cdo.InternalCDOTransaction.ApplyChangeSetResult

- Enclosing interface:
    InternalCDOTransaction

      public static final class InternalCDOTransaction.ApplyChangeSetResult
      extends java.lang.Object

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    4.1
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApplyChangeSetResult()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<CDOID>` | `getAdjustedObjects()`
    `CDOChangeSetData` | `getChangeSetData()`
    `java.util.Map<CDOID,CDOID>` | `getIDMappings()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ApplyChangeSetResult

          public ApplyChangeSetResult()

  - ### Method Detail

    - #### getChangeSetData

          public CDOChangeSetData getChangeSetData()

    - #### getIDMappings

          public java.util.Map<CDOID,CDOID> getIDMappings()

    - #### getAdjustedObjects

          public java.util.List<CDOID> getAdjustedObjects()

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html